<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$formname = 'Sale';
$maindb = 'salemain';
//$trandb = 'saletran';
$file = 'sale_pdf.php';
$source = "";
$zcomp = $_SESSION["comp_" . $dbname];

$zdb = $_SESSION["zdbyear_" . $dbname];
$zroot = $_SESSION["zdir"];
mysqli_select_db($conn, $zdb);

$mht = 'height:20px;';
$admin = $_SESSION["admin_" . $dbname];
$vouchno = $_REQUEST["vouchno"];
//browse($vouchno);


$mainqry = mysqli_query($conn, "SELECT *, DATE_FORMAT(`vouchdt`, '%d-%m-%Y') AS vouchdt FROM `$maindb` WHERE `vouchno`='$vouchno' ORDER BY `vouchno`") or die(mysqli_error($conn));
$getmdata = mysqli_fetch_array($mainqry) or die(mysqli_error($conn));

$cmpname = mysqli_query($conn, "SELECT * From $zroot.`company` where code ='$zcomp'")or die(mysqli_error($conn));
$getcmpname = mysqli_fetch_array($cmpname);

$logo = $getcmpname['logoimg'];

$getparty = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`= '$getmdata[party]'") or die(mysqli_error($conn));
$lparty = mysqli_fetch_array($getparty);

$getsale = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`= '$getmdata[salesman]'") or die(mysqli_error($conn));
$lsale = mysqli_fetch_array($getsale);

$getarchitect = mysqli_query($conn, "SELECT `accode`,`name` FROM `accmast` WHERE `accode`= '$getmdata[architect]'") or die(mysqli_error($conn));
$larchitect = mysqli_fetch_array($getarchitect);
//if($getmdata['clientno']){
//    
//$clientno =  " ( " . $getmdata['clientno'] . " )";
//}
//if($lparty['name']){
//    
//$clientno =  " ( " . $lparty['name'] . " )";
//}
//if (isset($_POST["subpdf"])) {
//browse('idar');
//ini_set("session.auto_start", 0);
require("library/fpdf/fpdf.php");

class pdf extends fpdf {

    function Footer() {

//Position at 1.5 cm from bottom
        $this->SetY(-15);

//Arial italic 8
        $this->SetFont('Arial', 'I', 8);
//Page number
        $this->Cell(0, 10, 'Page ' . $this->PageNo() . '/{nb}', 0, 0, 'C');
    }

}

//browse('udar');

$pdf = new pdf('P', 'mm', 'A4');

$pdf->AliasNbPages();
$pdf->AddPage();
$pdf->SetFont('Arial', 'B', 16);
$pdf->SetTextColor(0, 0, 0);
//$pdf->Rect(5, 5, 200, 120, 'D');
$pdf->Image("$logo", 60, 5, 85, 30, 'JPEG');
//$pdf->Cell(135, 6, $getcmpname['pname'], 0, 0, 'C');
//$pdf->Cell(135, 6,"", 0, 0, 'C');
//$pdf->Ln(10);
//$pdf->Ln(10);
$pdf->Ln(20);
$pdf->SetFont('Arial', '', 12);
//$pdf->Cell(185, 6, " Dealers in: Tiles, Sanitary Wares, Marbles, Granites & Steel Sinks", 0, 0, 'C');
//$pdf->Ln();
//$pdf->Cell(185, 6, " $getcmpname[add1]  $getcmpname[add2] $getcmpname[add3] $getcmpname[city]  -  $getcmpname[pin]  Tel.:  $getcmpname[mobile]  / $getcmpname[mobile2]", 0, 0, 'C');
//
//$pdf->Ln();
//$pdf->Cell(115, 6, "$getcmpname[mobile]", 0, 0, 'C');
//$pdf->Ln();
//$pdf->Cell(135, 6, "$getcmpname[email]", 0, 0, 'C');
$pdf->Ln(8);

//$pdf->Cell(185, 6, " Dealers in: Tiles, Sanitary Wares, Marbles, Granites & Steel Sinks", 0, 0, 'C');
//$pdf->Ln();
$pdf->Cell(0, 6, " $getcmpname[hoadd1]   $getcmpname[hoadd2] $getcmpname[hoadd3] $getcmpname[hocity]  -  $getcmpname[hopin]", 0, 0, 'C');

$pdf->Ln();
$pdf->Cell(0, 6, " Tel.:  $getcmpname[htel]  Email :  $getcmpname[email]", 0, 0, 'C');
$pdf->Ln();

$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(190, 7, "$formname", 0, 0, 'C');
$pdf->Ln();

$pdf->SetFont('Arial', '', 9);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(10, 2, "M/s. :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetTextColor(0, 0, 0);
$pdf->Cell(130, 2, "$lparty[name]", 0, 0);

$pdf->SetFont('Arial', '', 11);
$pdf->Cell(10, 1, "No. :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(30, 1, "$getmdata[vouchno]", 0, 0);
$pdf->Ln(7);

$pdf->SetFont('Arial', '', 12);
$pdf->SetTextColor(0, 0, 0);
mysqli_select_db($conn,$zdb);
$gcust = mysqli_query($conn, "SELECT * FROM `accmast` WHERE `accode`='$getmdata[party]'") or die(mysqli_error($conn));
$cust = mysqli_fetch_array($gcust);

$pdf->SetDrawColor(206, 169, 98);
//$pdf->Line(10, 38, 205, 38);
$pdf->SetFont('Arial', '', 9);
$pdf->SetDrawColor(0, 0, 0);
//$pdf->SetFillColor(96, 130, 191);
$pdf->Cell(29, 1, "ARCHITECT/SITE :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(111, 1, " $larchitect[name]", 0, 0);
if ($getmdata['mobile'] > 0){
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(22, 1, "MOBILE NO. :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(18, 1, "$getmdata[mobile]", 0, 0);
}
$pdf->Ln(7);


$pdf->SetFont('Arial', '', 9);
$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(96, 130, 191);


$pdf->Cell(20, 0, "SALESMAN :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(96, 130, 191);
$pdf->Cell(120, 0, "$lsale[name]", 0, 0);
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(12, 1, "DATE :", 0, 0);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(30, 1, "$getmdata[vouchdt]", 0, 0);
$pdf->Ln(4);

$pdf->SetFont('Arial', 'B', 10);
$pdf->SetTextColor(0, 0, 0);
$pdf->SetFillColor(206, 169, 98);
$cl = 6;

$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(10, $cl, 'Sr.', 1, 0, 'C', 1);
$pdf->Cell(15, $cl, 'Qty.', 1, 0, 'C', 1);
$pdf->Cell(16, $cl, 'Unit', 1, 0, 'C', 1);
$pdf->Cell(53, $cl, 'Description', 1, 0, 'C', 1);
$pdf->Cell(24, $cl, 'Size', 1, 0, 'C', 1);
$pdf->Cell(19, $cl, 'Sq. Ft.', 1, 0, 'C', 1);
$pdf->Cell(14, $cl, 'Cal By', 1, 0, 'C', 1);
$pdf->Cell(19, $cl, 'Rate', 1, 0, 'C', 1);
$pdf->Cell(23, $cl, 'Amount', 1, 0, 'C', 1);
//$pdf->Cell(20, $cl, 'Gst %', 1, 0, 'C', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 10);
$pdf->SetFillColor(255, 255, 255);
$pdf->SetTextColor(0, 0, 0);
$ctr = 1;
$ctab = 0;
$totqty = 0;
$gettran = mysqli_query($conn, "SELECT * FROM `saletran` WHERE `vouchno`='$vouchno' order by srno")or die(mysqli_error($conn));
while ($row = mysqli_fetch_array($gettran)) {
    if ($row['qty'] > 0) {
        $qty = $row['qty'];
    } else {
        $qty = "";
    }
    if ($row['rate'] > 0) {
        $rate = $row['rate'];
    } else {
        $rate = "";
    }
    if ($row['amount'] > 0) {
        $amount = $row['amount'];
    } else {
        $amount = "";
    }
    if ($row['calby'] == "P") {
        $calname = "Pcs";
    } elseif ($row['calby'] == "S") {
        $calname = "Sq.ft";
    } elseif ($row['calby'] == "S") {

        $calname = "Box";
    } else {
        $calname = "";
    }
    $unit = $row['unit'];
    $itemname = $row['itemname'];
    $size = $row['size'];
    $sqft = $row['sqft'];
//    $gstperc = $row['gstperc'];

    $pdf->Cell(10, $cl, "$ctr", 1, 0, 'R', 1);
    $pdf->SetFont('Arial', '', 9);
    $pdf->Cell(15, $cl, "$qty", 1, 0, 'R', 1);
    $pdf->SetFont('Arial', '', 10);
    $pdf->Cell(16, $cl, "$unit", 1, 0, 'C', 1);
    $pdf->Cell(53, $cl, "$itemname", 1, 0, 'C', 1);
    $pdf->Cell(24, $cl, "$size", 1, 0, 'C', 1);
    $pdf->Cell(19, $cl, "$sqft", 1, 0, 'R', 1);
    $pdf->Cell(14, $cl, "$calname", 1, 0, 'C', 1);
    $pdf->Cell(19, $cl, "$rate", 1, 0, 'R', 1);
    $pdf->Cell(23, $cl, "$amount", 1, 0, 'R', 1);
//    $pdf->Cell(20, $cl, "$gstperc", 1, 0, 'C', 1);
    $pdf->Ln();

    $ctr++;
    $ctab = $ctab + 1;
    $totqty = $row['qty'] + $totqty;
    $totamt = $row['amount'] + $totamt;
    $totalsqft = $row['sqft'] + $totalsqft;
    $totsqft = number_format($totalsqft, 2);
}
if ($ctab < 12) {
    for ($i = $ctab; $i <= 12; $i++) {
        $ctab = $ctab + 1;

        $pdf->Cell(10, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(15, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(16, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(53, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(24, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(19, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(14, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(19, $cl, "", 1, 0, 'C', 1);
        $pdf->Cell(23, $cl, "", 1, 0, 'C', 1);
        $pdf->Ln();
    }
}
$tnetamt = number_format($totamt, 2);
//$remark = $getmdata['remark'] . ' ' . $getmdata['remark2'];
$pdf->Cell(10, $cl, "", 'TLB', 0, 'L', 1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(15, $cl, "$getmdata[totalqty]", 'TLB', 0, 'R', 1);
$pdf->Cell(16, $cl, "", 'TLB', 0, 'R', 1);
$pdf->Cell(53, $cl, "", 'TLB', 0, 'R', 1);
$pdf->Cell(24, $cl, "", 'TLB', 0, 'R', 1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(19, $cl, "$totsqft", 'TLB', 0, 'R', 1);
$pdf->Cell(14, $cl, "", 'TLB', 0, 'R', 1);
$pdf->Cell(19, $cl, "", 'TLB', 0, 'R', 1);
$pdf->SetFont('Arial', 'B', 11);
$pdf->Cell(23, $cl, "$getmdata[grossamt]", 'TLBR', 0, 'R', 1);
$pdf->Ln();
//$pdf->Cell(193, $cl, "Created By : $getmdata[createby]", 'LBR', 0, 'L', 1);
////$pdf->Cell(43, $cl, "$getmdata[createby]", 'TBR', 0, 'L', 1);
//
//
////browse();
//$pdf->Ln();
//$pdf->Ln(1);
$cl1 = 6;
$pdf->SetFont('Arial', '', 10);
$pdf->Cell(25, $cl1, "Bank Name", 1, 0, 'L', 1);
$pdf->Cell(93, $cl1, "$getcmpname[bankname]", 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 9);
$pdf->Cell(33, $cl1, "Discount", 1, 0, 'R', 1);
$pdf->Cell(42, $cl1, " $getmdata[totdisc]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "CGST", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "SGST", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "IGST", 1, 0, 'R', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 10);

$pdf->Cell(25, $cl1, "A/c. Name", 1, 0, 'L', 1);
$pdf->Cell(93, $cl1, "$getcmpname[acname]", 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 9);

$pdf->Cell(33, $cl1, "Cartage", 1, 0, 'R', 1);
$pdf->Cell(42, $cl1, "$getmdata[addpack]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[cgst5]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[sgst5]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[igst5]", 1, 0, 'R', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 10);

$pdf->Cell(25, $cl1, "Branch", 1, 0, 'L', 1);
$pdf->Cell(93, $cl1, "$getcmpname[branchname]", 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 9);

$pdf->Cell(33, $cl1, "Add GST", 1, 0, 'R', 1);
$pdf->Cell(42, $cl1, "$getmdata[addgst]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[cgst12]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[sgst12]", 1, 0, 'R', 1);
//$pdf->Cell(15, $cl1, "$getmdata[igst12]", 1, 0, 'R', 1);
$pdf->Ln();
$pdf->SetFont('Arial', '', 10);

$pdf->Cell(25, $cl1, "Account No.", 1, 0, 'L', 1);
$pdf->Cell(93, $cl1, "$getcmpname[acno]", 1, 0, 'L', 1);
$pdf->SetFont('Arial', 'B', 9);

$pdf->Cell(33, $cl1, "Net Amount", 1, 0, 'R', 1);
$pdf->Cell(42, $cl1, "$getmdata[billamt]", 1, 0, 'R', 1);

$pdf->Ln();
$pdf->SetFont('Arial', '', 10);

$pdf->Cell(25, $cl1, "IFSC Code", 1, 0, 'L', 1);
$pdf->Cell(93, $cl1, "$getcmpname[bankcode]", 1, 0, 'L', 1);
$pdf->SetFont('Arial', '', 9);

$pdf->Cell(33, $cl1, "", 1, 0, 'R', 1);
$pdf->Cell(42, $cl1, "", 1, 0, 'R', 1);

$pdf->Ln();
$pdf->SetFont('Arial', 'B', 9);
$pdf->Cell(25, $cl1, "Remarks", 1, 0, 'L', 1);
$pdf->Cell(168, $cl1, "$getmdata[rem1]", 1, 0, 'L', 1);
$pdf->Ln();
$pdf->Cell(25, $cl1, "", 1, 0, 'L', 1);
$pdf->Cell(168, $cl1, "$getmdata[rem2]", 1, 0, 'L', 1);
$pdf->Ln();
//$pdf->Ln();

$y_aqui = $pdf->Gety();
$pdf->Rect(10, $y_aqui, 193, 48, 'D');

//$pdf->SetFont('Arial', 'B', 10);
//$pdf->Cell(194, $cl1, "GSTIN - $getcmpname[gst]", 0, 0, 'C');
//$pdf->Ln(6);
//
//$pdf->SetTextColor(0, 0, 0);
//$pdf->SetFillColor(206, 169, 98);
//$cl = 7;
//
//$pdf->SetFont('Arial', 'B', 8);
//$pdf->Cell(193, 5, 'TERMS & CONDITIONS', 1, 0, 'L', 1);
//$pdf->Ln();
//$pdf->SetFillColor(255, 255, 255);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '1. MATERIAL IS WARRANTED/GUARANTEED BY MANUFACTURER NOT BY US', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '2. TRANSPORTATION & UNLOADING CHARGES WILL BE CHARGED EXTRA', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '3. GST WILL BE CHARGED EXTRA.', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '4. PAYMENT 100% ADVANCE ALONG WITH PURCHASE ORDER.', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '5. GOODS WILL BE DISPATCHED WITHIN 7 WORKING DAYS FROM THE DATE OF ORDER PLACED', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, "6. CHEQUE WILL BE IN THE NAME OF $getcmpname[pname] .", 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '7. THIS QUOTATION IS VALID FOR 7 DAYS.', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '8. GOODS ONCE SOLD WILL NOT BE TAKEN BACK OR REPLACE.', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '9. OUR RESPONSIBILITY CEASES ON DELIVERY OF GOODS.', 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, "10.GOODS ARE DISPATCHED AT OWNER'S RISK", 0, 0, 'L', 0);
//$pdf->Ln(3);
//$pdf->SetFont('Arial', 'B', 6);
//$pdf->Cell(193, $cl, '11.SUBJECT TO MUMBAI JURISDICATION ONLY.', 0, 0, 'L', 0);
$pdf->Ln(10);
if ($getmdata['addpack'] > 0) {
    $pdf->Cell(100, $cl1, "Sale Expense", 1, 0, 'C', 1);
    $pdf->Ln();

    $pdf->SetFillColor(206, 169, 98);

    $pdf->Cell(10, $cl1, "Sr", 1, 0, 'R', 1);
    $pdf->Cell(30, $cl1, "Amount", 1, 0, 'R', 1);
    $pdf->Cell(60, $cl1, "Description", 1, 0, 'L', 1);
    $pdf->Ln();
    $pdf->SetFillColor(255, 255, 255);

    $ctr = 0;
    $cl1 = 6;
    
    $gettran2 = mysqli_query($conn, "SELECT * FROM `saleexp` WHERE `vouchno`='$getmdata[vouchno]' and amount > 0 ORDER BY `srno`")or die(mysqli_error($conn));
    while ($tran2 = mysqli_fetch_array($gettran2)) {

        $gparty = mysqli_query($conn, "SELECT name FROM `accmast` WHERE `accode`='$tran2[descrip]'") or die(mysqli_error($conn));
        $getdesc = mysqli_fetch_array($gparty);
        $ctr++;
        $pdf->Cell(10, $cl1, "$ctr", 1, 0, 'R', 1);
        $pdf->Cell(30, $cl1, "$tran2[amount]", 1, 0, 'R', 1);
        $pdf->Cell(60, $cl1, "$getdesc[name]", 1, 0, 'L', 1);
        $pdf->Ln(6);

    }
}
$y_aqui2 = $pdf->Gety();

ob_end_clean();
$pdf->Output("$formname - $lparty[name]-" . $getmdata['vouchno'] . ".pdf", "I");
?>